| Home | Libraries | People | FAQ | More

## Struct template cache_begin

boost::intrusive::cache_begin

## Synopsis

    // In header: <boost/intrusive/options.hpp>

    template<bool Enabled>
    struct cache_begin {
    };

## Description

This option setter specifies if the container will cache a pointer to the first non-empty bucket so that begin() is always constant-time. This is specially helpful when we can have containers with a few elements but with big bucket arrays (that is, hashtables with low load factors).